%global gem_name rails_autolink

Name: rubygem-%{gem_name}
Version: 1.1.6
Release: %mkrel 1
Summary: Automatic generation of HTML links in texts
Group: Development/Ruby
License: MIT
URL: https://github.com/tenderlove/rails_autolink
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
Requires: ruby
Requires: rubygems
Requires: rubygem-rails
BuildRequires: ruby
BuildRequires: rubygems-devel
BuildRequires: rubygem-rails
BuildArch: noarch
Provides: rubygem(%{gem_name}) = %{version}

%description
This is an extraction of the `auto_link` method from rails. The `auto_link`
method was removed from Rails in version Rails 3.1. This gem is meant to
bridge the gap for people migrating.


%package doc
Summary: Documentation for %{name}
Group: Documentation
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}

%prep
gem unpack %{SOURCE0}

%setup -q -D -T -n  %{gem_name}-%{version}

gem spec %{SOURCE0} -l --ruby > %{gem_name}.gemspec

# Remove developer-only files.
for f in Gemfile Rakefile; do
  rm $f
  sed -i "s|\"$f\",||g" %{gem_name}.gemspec
done

%build
# Create the gem as gem install only works on a gem file
gem build %{gem_name}.gemspec

%gem_install

# Remove extra gemspec file
rm .%{gem_instdir}/%{gem_name}.gemspec

%install
mkdir -p %{buildroot}%{gem_dir}
cp -pa .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/

%files
%dir %{gem_instdir}
%doc %{gem_instdir}/README.rdoc
%exclude %{gem_instdir}/.*
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGELOG.rdoc
%exclude %{gem_instdir}/test


%changelog
* Sun Nov 02 2014 bb <bb> 1.1.6-1pclos2014
- import
